Subject: [Mgs] third time's a charm (was: Rick "didn't" get a lot done today)

From: "R. Martin Rogovein" <[email-masked]>
Date: Thu, 11 Apr 2013 20:11:44 +0300

Hey Rick, just in case you were still curious, the writing on the plate 
says:

Al-haia al-konsulia - Consular Authority.

Here it is in typed Arabic, don't know if this will come through on your 
computer, though:

X'YYY
X&X) X'YYYX5YY
X)

Try this, and Google translate can read it to you:
http://bit.ly/16VsLyy

I looked around for a while online, but couldn't figure out what country 
it is from, maybe somebody else can help.
I suppose it could be Jordanian, but I couldn't find a jordanian plate 
that even resembles this one.

Looks like a great project, the speed of your daily progress is making 
me jealous. Maybe I should retire now (I'm 42) and rip my B apart.
:)

Safety Fast
R. Martin Rogovein
70 roadster
Herzliya, Israel (but born and raised in Houston TX)

-- 
--------------------------------------------------------
Israel is the most dramatic country in the world.
Everybody's engaged. Everybody argues.
When I leave Israel, I get a little bit bored, you know?
--Shimon Peres
--------------------------------------------------------
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]